package com.wd.workoffice.ui.adapter;


import android.view.View;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.FactoryDetailBean;

import java.util.List;

import flexible.xd.android_base.utils.TimeUtils;

/**
 * Created by flexible on 2018/8/13.
 */

public class UserDataAdd3RefAdapter extends BaseQuickAdapter<FactoryDetailBean.SteelRefFurnListBean, BaseViewHolder> {

    public UserDataAdd3RefAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, FactoryDetailBean.SteelRefFurnListBean item) {
        View content = helper.getView(R.id.ll_content);
        helper.setOnClickListener(R.id.rl_title, new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (content.getVisibility() == View.VISIBLE) {
                    content.setVisibility(View.GONE);
                } else {
                    content.setVisibility(View.VISIBLE);
                }
            }
        });
        helper.setText(R.id.tv_desc1, "型号和台数");
        helper.setText(R.id.tv_desc2, "钙处理方式");

        helper.setText(R.id.tv_name, "精炼炉");
        helper.setText(R.id.tv_content1, item.getModelNumber());
        helper.setText(R.id.tv_content2, item.getCalciumTreatmentSituation());

    }
}

